/* Hardware PWM mit 16-Bit Timer 1
 *
 * Erzeugt ein 2,5 kHz Signal mit zwei Pulsen (OC1A und OC1B)
 * Prescaler: 1/8
 */

#include <avr/io.h>

int main()
{
	DDRD = (1 << DDD5) | (1 << DDD4);		// OC1A+OC1B als Ausgang

	ICR1 = (uint16_t)399;		// TOP => 2,5 kHz
	OCR1A = (uint16_t)100;		// Vergleichswert einstellen
	OCR1B = (uint16_t)50;		// Vergleichswert einstellen
	
	TCCR1A |= (1 << COM1A1);					// non-inverting mode fuer Pin OC1A
	TCCR1A |= (1 << COM1B1) | (1 << COM1B0);	// inverting mode fuer Pin OC1B
	TCCR1A |= (1 << WGM11) ;					// Fast PWM Mode 14 Teil A
	TCCR1B |= (1 << WGM13) | (1 << WGM12);		// Fast PWM Mode 14 Teil B
	TCCR1B |= (1 << CS11);						// Prescaler: 1/8 
//	TCCR1B |= (1 << CS12) | (1 << CS10);		// Prescaler: 1/1024

	while (1);		// endlos
	return 0;
}
