/* 
 * zeigt an der LED 0 den Zustand eines Tasters an PA0 an, der geffnet ber 10k an Masse liegt und geschlossen an Vcc
 * mit jedem Tastendruck wird ein Wanderbalken an LED 1-7 an PORTB weiterbewegt
 *
 *
 */

#include <avr/io.h>
#include <util/delay.h>		// definiert _delay_ms() 

// wartet ms Millisekunden
void delay_ms(uint16_t ms)
{
  for(uint16_t t=0; t<=ms; t++)
	_delay_ms(1); 
}

int main()
{
	unsigned int i;

	DDRB = 0xFF;						// PORTB als Ausgang
	PORTB = 0;							// alles aus
	i = 1;								// B 0000 0001 Startwert fr Wanderbalken
	DDRA &= ~(1 << DDA0);				// PA0 als Eingang

	while (1)							// Endlos
	{
		if (PINA & (1 << PINA0))		// wenn PA0 geschlossen (HIGH)
		{
			delay_ms (50);				// sehr simples Tastenentprellen
			if (i == 0x80)				// PB7 ist an
				i=2;					// neuer Durchlauf
			else
				i <<= 1;				// Shift i eins nach links

			PORTB = i | (1 << PB0);		// Wanderbalken und 1. LED an

			while (PINA & (1 << PINA0));// warten bis Taste losgelassen
			delay_ms (50);				// sehr simples Tastenentprellen
			
			PORTB = PORTB & ~(1 << PB0);// 1. LED aus
		}
	}
	return 0;
}


