/* Demonstriert den 8-Bit Timer 0
 *
 * Laesst LED an PB0 blinken
 */

#include <avr/io.h>
#include <avr/interrupt.h>

// Timer/Counter0 Overflow 
ISR (TIMER0_OVF_vect)
{
	PORTB ^= (1 << PB0);		// PB0 togglen
}

int main()
{
	DDRB |= (1 << DDB0);					// PORT B0 als Ausgang

	TIMSK |= (1 << TOIE0);					// IRQ bei berlauf 0xFF -> 0x00
	sei();									// IRQs enable
	TCCR0 |= (1 << CS00) | (1 << CS02);		// Prescaler: 1/1024 (CS1=0 per default)

	while (1);		// endlos
	return 0;
}
