/* Demonstriert den 8-Bit Timer 0 mit Voreinstellung
 *
 * Laesst LEDs an PortB hochzaehlen
 */

#include <avr/io.h>
#include <avr/interrupt.h>

#define TimerStart 206			// Startwert fuer den Timer

// Timer/Counter0 Overflow 
ISR (TIMER0_OVF_vect)
{
	TCNT0 = TimerStart;			// Startwert in Timerzaehlregister laden
	PORTB += 1;					// Wert an Port B hochzhlen
}

int main()
{
	DDRB = 0xFF;				// PORTB als Ausgang
	PORTB = 0;					// alle LEDs aus

	TCNT0 = TimerStart;			// Startwert in Timerzaehlregister laden
	TIMSK |= (1 << TOIE0);		// IRQ bei berlauf 0xFF -> 0x00
	sei();						// IRQs enable
	TCCR0 |= (1 << CS00) | (1 << CS02);		// Prescaler: 1/1024 (CS1=0 per default)

	while (1);		// endlos
	return 0;
}
