/* Demonstriert den 8-Bit Timer 0
 *
 * Laesst LED an PB0 blinken
 */

#include <avr/io.h>
#include <avr/interrupt.h>

// Timer/Counter0 Overflow 
ISR (TIMER0_OVF_vect)
{
	PORTB ^= (1 << PB0);		// PB0 togglen
	PORTB &= ~(1 << PB7);		// PB7 aus
}

// Timer/Counter0 Compare Match
ISR (TIMER0_COMP_vect)
{
	PORTB |= (1 << PB7);		// PB7 ein
}

int main()
{
	DDRB = 0xFF;		// PORTB als Ausgang
	PORTB = 0;
	
	TIMSK |= (1 << TOIE0) | (1 << OCIE0);	// IRQ bei berlauf + Compare Match
	OCR0 = 0x80;							// Vergleichswert 128 einstellen
	sei();									// IRQs enable
	TCCR0 |= (1 << CS00) | (1 << CS02);		// Prescaler: 1/1024 (CS1=0 per default)

	while (1);		// endlos
	return 0;
}
