/* Demonstriert den 8-Bit Timer 0
 *
 * CTC Modus
 */

#include <avr/io.h>
#include <avr/interrupt.h>

// Timer/Counter0 Compare Match
ISR (TIMER0_COMP_vect)
{
	PORTB ^= (1 << PB0);		// PB0 togglen
}

int main()
{
	DDRB |= (1 << DDB0);		// PORT B0 als Ausgang
	
	TIMSK |= (1 << OCIE0);		// IRQ bei Compare Match
	OCR0 = 194;					// Vergleichswert 194 einstellen => 20,03 Hz
	sei();						// IRQs enable
	TCCR0 |= (1 << WGM01);		// CTC-Modus
	TCCR0 |= (1 << CS00) | (1 << CS02);		// Prescaler: 1/1024 (CS1=0 per default)

	while (1);		// endlos
	return 0;
}
