/* Demonstriert den 8-Bit Timer 2
 *
 * CTC Modus
 */

#include <avr/io.h>
#include <avr/interrupt.h>

volatile uint8_t overflows = 0;		// Zaehler fuer Ueberlaeufe

// Timer/Counter0 Compare Match
ISR (TIMER2_COMP_vect)
{
	PORTB ^= (1 << PB0);		// PB0 togglen
	overflows++;
	if (overflows == 40)		// => ~1 Sekunde ein/aus
	{
		overflows = 0;
		PORTB ^= (1 << PB1);	// PB1 togglen
	}
}

int main()
{
	DDRB |= (1 << DDB0) | (1 << DDB1);		// PORT als Ausgang
	
	TIMSK |= (1 << OCIE2);		// IRQ bei Compare Match
	OCR2 = 194;					// Vergleichswert 194 einstellen => 20,03 Hz
	sei();						// IRQs enable
	TCCR2 |= (1 << WGM21);		// CTC-Modus
	TCCR2 |= (1 << CS20) | (1 << CS21) | (1 << CS22);	// Prescaler: 1/1024 

	while (1);		// endlos
	return 0;
}
