/* Demonstriert den Watchdog
 *
 * LEDs an Mini-Mega-Board
 */

#include <avr/io.h>
#include <util/delay.h>		// definiert _delay_ms() 
#include <avr/wdt.h>		// Watchdog

int main()
{
	uint8_t cnt = 127;

	DDRB = 0xFF;			// PORTB als Ausgang

	if ((MCUCSR & (1 << WDRF)))	// watchdog-reset?
	{
		MCUCSR = 0;				// wichtig!
	}
	else
	{
		wdt_enable (WDTO_2S);	// Watchdog einschalten: 2s
		
		while (cnt >= 0)		// WHL solange bis cnt < 0
		{
			PORTB = cnt;		// LEDs an PortB Zaehlerstand anzeigen lassen
			_delay_ms (10);
			cnt--;
		}	
		
		wdt_reset ();			// Watchdog zurcksetzen (wird nie erreicht)
	}
	
	PORTB |= (1 << PB7);	// LED an Pin 7 ein
}
